# Uses of Enum Class
org.apache.sysds.lops.WeightedSquaredLoss.WeightsType

Packages that use WeightedSquaredLoss.WeightsType
Package
Description
org.apache.sysds.lops
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of WeightedSquaredLoss.WeightsType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return WeightedSquaredLoss.WeightsType
Modifier and Type
Method
Description
`static WeightedSquaredLoss.WeightsType`
WeightedSquaredLoss.WeightsType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeightedSquaredLoss.WeightsType[]`
WeightedSquaredLoss.WeightsType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type WeightedSquaredLoss.WeightsType
Modifier
Constructor
Description
``
`WeightedSquaredLoss(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedSquaredLoss.WeightsType wt, Types.ExecType et)`
``
`WeightedSquaredLossR(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedSquaredLoss.WeightsType wt, boolean cacheU, boolean cacheV, Types.ExecType et)`

## Uses of WeightedSquaredLoss.WeightsType in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type WeightedSquaredLoss.WeightsType
Modifier and Type
Method
Description
`static void`
LibMatrixMult.`matrixMultWSLoss(MatrixBlock mX, MatrixBlock mU, MatrixBlock mV, MatrixBlock mW, MatrixBlock ret, WeightedSquaredLoss.WeightsType wt)`
`static void`
LibMatrixMult.`matrixMultWSLoss(MatrixBlock mX, MatrixBlock mU, MatrixBlock mV, MatrixBlock mW, MatrixBlock ret, WeightedSquaredLoss.WeightsType wt, int k)`

## Uses of WeightedSquaredLoss.WeightsType in org.apache.sysds.runtime.matrix.operators

Fields in org.apache.sysds.runtime.matrix.operators declared as WeightedSquaredLoss.WeightsType
Modifier and Type
Field
Description
`final WeightedSquaredLoss.WeightsType`
QuaternaryOperator.`wtype1`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type WeightedSquaredLoss.WeightsType
Modifier
Constructor
Description
``
`QuaternaryOperator(WeightedSquaredLoss.WeightsType wt)`
wsloss